MacOS 12 Compatibility Statement

Sandy
Sandy mod
First Answer First Comment Spitfire Employee
edited October 26 in General

Apple released MacOS 12 Monterey on October 25th and at the moment we do not recommend updating.

You can find our current compatibility statement here. This article also links out to the Native Instruments support page indicating their support status (currently unsupported).

We will update this thread and our support articles, as well as update systems requirements on our site once this brand new OS is supported officially. Until then please be aware that if you run into any issues using our libraries on MacOS 12 our advice is to roll back to an older version of MacOS.

If you intend to update before we officially support this new OS we strongly recommend you make a time machine backup of your system and be prepared to restore to that backup.

Comments

  • We have updated our Mac OS Monterey compatibility statement above.

    For our dedicated plugins users can now update to Mac OS Monterey (though M1 users should still check out M1 compatibility page here

    Some major caveats, Native Instruments and Avid both do not support Mac OS Monterey at the time of writing, so if you run into any issues using our Kontakt based libraries or are using Pro Tools on MacOS 12 our advice is still to roll back to an older version of MacOS.

    If you intend to update to this new OS we still strongly recommend you make a time machine backup of your system and be prepared to restore to that backup.